_Elm_Widget_Smart_Data Struct Reference
Widgets Extension Infrastructure

Base widget smart data. More...

`#include <elm_widget.h>`

## Data Fields

Evas_Object * | parent_obj
| parent object of a widget in the elementary tree
Eina_Array * | children
Evas_Object * | resize_obj
| an unique object for each widget that shows the look of a widget.
Evas_Object * | hover_obj
Evas_Object * | bg
Evas_Object * | window
Eina_List * | tooltips
Eina_List * | cursors
Eina_Rect | show_region
int | scroll_hold
int | scroll_freeze
double | scale
Elm_Theme * | theme
const char * | klass
| 1st identifier of an edje object group which is used in theme_set.
const char * | group
| 2nd identifier of an edje object group which is used in theme_set.
const char * | style
const char * | access_info
const char * | accessible_name
int | child_drag_x_locked
int | child_drag_y_locked
int | disabled
int | tree_unfocusable
Eina_Inlist * | translate_strings
Eina_List * | event_cb
void * | on_show_region_data
Elm_Widget_On_Show_Region_Cb | on_show_region
Eina_Free_Cb | on_show_region_data_free
Elm_Focus_Move_Policy | focus_move_policy
Elm_Focus_Region_Show_Mode | focus_region_show_mode
Efl_Ui_Widget_Focus_State | focus
struct { |
int child_count |
Efl_Ui_Focus_Object * parent |
} | logical
struct { |
Efl_Ui_Focus_Manager * manager |
Efl_Ui_Focus_Object * provider |
} | manager
struct { |
Eina_Bool listen_to_manager |
Eina_List * custom_chain |
Evas_Object * prev |
Evas_Object * next |
Evas_Object * up |
Evas_Object * down |
Evas_Object * right |
Evas_Object * left |
Elm_Object_Item * item_prev |
Elm_Object_Item * item_next |
Elm_Object_Item * item_up |
Elm_Object_Item * item_down |
Elm_Object_Item * item_right |
Elm_Object_Item * item_left |
} | legacy_focus
struct { |
Efl_Model * model |
Efl_Model_Provider * provider |
Eina_Hash * model_lookup |
Eina_Hash * view_lookup |
Eina_Bool registered: 1 |
Eina_Bool callback_to_provider: 1 |
} | properties
void * | shared_win_data
Eina_Bool | scroll_x_locked: 1
Eina_Bool | scroll_y_locked: 1
Eina_Bool | can_focus: 1
Eina_Bool | focused: 1
Eina_Bool | top_win_focused: 1
Eina_Bool | focus_move_policy_auto_mode: 1
Eina_Bool | highlight_ignore: 1
Eina_Bool | highlight_in_theme: 1
Eina_Bool | access_highlight_in_theme: 1
Eina_Bool | is_mirrored: 1
Eina_Bool | mirrored_auto_mode: 1
Eina_Bool | still_in: 1
Eina_Bool | highlighted: 1
Eina_Bool | highlight_root: 1
Eina_Bool | on_translate: 1
| This is true when any types of elm translate function is being called.
Eina_Bool | on_create: 1
| This is true when the widget is on creation(general widget constructor).
Eina_Bool | on_destroy: 1
| This is true when the widget is on destruction(general widget destructor).
Eina_Bool | provider_lookup: 1
| This is true when efl_provider_find is currently walking the tree.
Eina_Bool | has_shadow: 1
Eina_Bool | internal: 1

## Detailed Description

Base widget smart data.

This is data bound to an Elementary object instance, so its particular to that specific object and not shared between all objects in its class. It is here, though, that we got a pointer to the object's class, the first field – `'api'`.

## Field Documentation

## resize_obj

Evas_Object* _Elm_Widget_Smart_Data::resize_obj

an unique object for each widget that shows the look of a widget.

Resize object's geometry is same as the widget. This resize object is different from that of window's resize object.

Referenced by elm_layout_edje_get(), elm_layout_signal_callback_add(), and elm_layout_signal_callback_del().

## klass

const char* _Elm_Widget_Smart_Data::klass

1st identifier of an edje object group which is used in theme_set.

klass and group are used together.

## group

const char* _Elm_Widget_Smart_Data::group

2nd identifier of an edje object group which is used in theme_set.

klass and group are used together.